Package org.apache.cxf.endpoint

# Interface ClientLifeCycleManager

All Known Implementing Classes:
  `ClientLifeCycleManagerImpl`

public interface ClientLifeCycleManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clientCreated(Client client)`
  `void`
  `clientDestroyed(Client client)`
  `void`
  `registerListener(ClientLifeCycleListener listener)`
  `void`
  `unRegisterListener(ClientLifeCycleListener listener)`

- ## Method Details

  - ### clientCreated

    void clientCreated(Client client)

  - ### clientDestroyed

    void clientDestroyed(Client client)

  - ### registerListener

    void registerListener(ClientLifeCycleListener listener)

  - ### unRegisterListener

    void unRegisterListener(ClientLifeCycleListener listener)